SDL_SetWindowMouseGrab(3)

NAME
SDL_SetWindowMouseGrab - Set a window's mouse grab mode.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowMouseGrab(SDL_Window *window, bool grabbed);

DESCRIPTION
Mouse grab confines the mouse cursor to the window.

FUNCTION PARAMETERS

window
    the window for which the mouse grab mode should be set.

grabbed
    this is true to grab mouse, and false to release.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowMouseRect(3), SDL_SetWindowMouseRect(3), SDL_SetWindowKeyboardGrab(3)